<?php

namespace Bongo\Builder\Tests;

use Bongo\Builder\ComponentServiceProvider;
use Illuminate\Foundation\Application;

/**
 * Class TestCase.
 *
 * @category  Bespoke_Software
 * @author    Bespoke.ws Ltd <support@bespokeuk.com>
 * @copyright 2015-2020 Bespoke.ws Ltd, All Rights Reserved
 * @license   Proprietary and confidential
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * @link      https://bespokeuk.com
 * @package   Bongo\Builder\Tests
 */
class TestCase extends \Orchestra\Testbench\TestCase
{
    /**
     * Setup.
     */
    public function setUp(): void
    {
        parent::setUp();
    }

    /**
     * @param Application $app
     *
     * @return array
     */
    protected function getPackageProviders($app)
    {
        return [
            ComponentServiceProvider::class,
        ];
    }

    /**
     * @param Application $app
     */
    protected function getEnvironmentSetUp($app)
    {
        // perform environment setup
    }
}
